package com.tzld.longarticle.recommend.server.model.entity.longArticle;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Entity
@Table(name = "long_articles_text")
public class LongArticlesText {

    @Id
    @Column(name = "content_id")
    private String contentId;
    @Column(name = "article_title")
    private String articleTitle;
    @Column(name = "article_text")
    private String articleText;
    @Column(name = "kimi_title")
    private String kimiTitle;
    @Column(name = "kimi_summary")
    private String kimiSummary;
    @Column(name = "kimi_keys")
    private String kimiKeys;
    @Column(name = "kimi_status")
    private Integer kimiStatus;
}
